*,
*::before,
*::after {
  -webkit-box-sizing: border-box;
          box-sizing: border-box; }

html {
  font-family: sans-serif;
  line-height: 1.15;
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0); }

article, aside, figcaption, figure, footer, header, hgroup, main, nav, section {
  display: block; }

body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  text-align: left;
  background-color: #fff; }

[tabindex="-1"]:focus:not(:focus-visible) {
  outline: 0 !important; }

hr {
  -webkit-box-sizing: content-box;
          box-sizing: content-box;
  height: 0;
  overflow: visible; }

h1, h2, h3, h4, h5, h6 {
  margin-top: 0;
  margin-bottom: 0.5rem; }

p {
  margin-top: 0;
  margin-bottom: 1rem; }

abbr[title],
abbr[data-original-title] {
  text-decoration: underline;
  -webkit-text-decoration: underline dotted;
          text-decoration: underline dotted;
  cursor: help;
  border-bottom: 0;
  -webkit-text-decoration-skip-ink: none;
          text-decoration-skip-ink: none; }

address {
  margin-bottom: 1rem;
  font-style: normal;
  line-height: inherit; }

ol,
ul,
dl {
  margin-top: 0;
  margin-bottom: 1rem; }

ol ol,
ul ul,
ol ul,
ul ol {
  margin-bottom: 0; }

dt {
  font-weight: 700; }

dd {
  margin-bottom: .5rem;
  margin-left: 0; }

blockquote {
  margin: 0 0 1rem; }

b,
strong {
  font-weight: bolder; }

small {
  font-size: 80%; }

sub,
sup {
  position: relative;
  font-size: 75%;
  line-height: 0;
  vertical-align: baseline; }

sub {
  bottom: -.25em; }

sup {
  top: -.5em; }

a {
  color: #007bff;
  text-decoration: none;
  background-color: transparent; }
  a:hover {
    color: #0056b3;
    text-decoration: underline; }

a:not([href]):not([class]) {
  color: inherit;
  text-decoration: none; }
  a:not([href]):not([class]):hover {
    color: inherit;
    text-decoration: none; }

pre,
code,
kbd,
samp {
  font-family: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
  font-size: 1em; }

pre {
  margin-top: 0;
  margin-bottom: 1rem;
  overflow: auto;
  -ms-overflow-style: scrollbar; }

figure {
  margin: 0 0 1rem; }

img {
  vertical-align: middle;
  border-style: none; }

svg {
  overflow: hidden;
  vertical-align: middle; }

table {
  border-collapse: collapse; }

caption {
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  color: #6c757d;
  text-align: left;
  caption-side: bottom; }

th {
  text-align: inherit;
  text-align: -webkit-match-parent; }

label {
  display: inline-block;
  margin-bottom: 0.5rem; }

button {
  border-radius: 0; }

button:focus:not(:focus-visible) {
  outline: 0; }

input,
button,
select,
optgroup,
textarea {
  margin: 0;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit; }

button,
input {
  overflow: visible; }

button,
select {
  text-transform: none; }

[role="button"] {
  cursor: pointer; }

select {
  word-wrap: normal; }

button,
[type="button"],
[type="reset"],
[type="submit"] {
  -webkit-appearance: button; }

button:not(:disabled),
[type="button"]:not(:disabled),
[type="reset"]:not(:disabled),
[type="submit"]:not(:disabled) {
  cursor: pointer; }

button::-moz-focus-inner,
[type="button"]::-moz-focus-inner,
[type="reset"]::-moz-focus-inner,
[type="submit"]::-moz-focus-inner {
  padding: 0;
  border-style: none; }

input[type="radio"],
input[type="checkbox"] {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  padding: 0; }

textarea {
  overflow: auto;
  resize: vertical; }

fieldset {
  min-width: 0;
  padding: 0;
  margin: 0;
  border: 0; }

legend {
  display: block;
  width: 100%;
  max-width: 100%;
  padding: 0;
  margin-bottom: .5rem;
  font-size: 1.5rem;
  line-height: inherit;
  color: inherit;
  white-space: normal; }

progress {
  vertical-align: baseline; }

[type="number"]::-webkit-inner-spin-button,
[type="number"]::-webkit-outer-spin-button {
  height: auto; }

[type="search"] {
  outline-offset: -2px;
  -webkit-appearance: none; }

[type="search"]::-webkit-search-decoration {
  -webkit-appearance: none; }

::-webkit-file-upload-button {
  font: inherit;
  -webkit-appearance: button; }

output {
  display: inline-block; }

summary {
  display: list-item;
  cursor: pointer; }

template {
  display: none; }

[hidden] {
  display: none !important; }

.img-fluid {
  max-width: 100%;
  height: auto; }

.img-thumbnail {
  padding: 0.25rem;
  background-color: #fff;
  border: 1px solid #dee2e6;
  border-radius: 0.25rem;
  max-width: 100%;
  height: auto; }

.figure {
  display: inline-block; }

.figure-img {
  margin-bottom: 0.5rem;
  line-height: 1; }

.figure-caption {
  font-size: 90%;
  color: #6c757d; }

.basicLightbox {
  position: fixed;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0.8);
  opacity: 0.01;
  -webkit-transition: opacity 0.4s ease;
  -o-transition: opacity 0.4s ease;
  transition: opacity 0.4s ease;
  z-index: 1000;
  will-change: opacity; }
  .basicLightbox--visible {
    opacity: 1; }
  .basicLightbox__placeholder {
    max-width: 100%;
    -webkit-transform: scale(0.9);
        -ms-transform: scale(0.9);
            transform: scale(0.9);
    -webkit-transition: -webkit-transform 0.4s ease;
    transition: -webkit-transform 0.4s ease;
    -o-transition: transform 0.4s ease;
    transition: transform 0.4s ease;
    transition: transform 0.4s ease, -webkit-transform 0.4s ease;
    z-index: 1;
    will-change: transform; }
    .basicLightbox__placeholder > img:first-child:last-child,
    .basicLightbox__placeholder > video:first-child:last-child,
    .basicLightbox__placeholder > iframe:first-child:last-child {
      display: block;
      position: absolute;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
      margin: auto;
      max-width: 95%;
      max-height: 95%; }
    .basicLightbox__placeholder > video:first-child:last-child,
    .basicLightbox__placeholder > iframe:first-child:last-child {
      pointer-events: auto; }
    .basicLightbox__placeholder > img:first-child:last-child,
    .basicLightbox__placeholder > video:first-child:last-child {
      width: auto;
      height: auto; }
  .basicLightbox--img .basicLightbox__placeholder,
  .basicLightbox--video .basicLightbox__placeholder,
  .basicLightbox--iframe .basicLightbox__placeholder {
    width: 100%;
    height: 100%;
    pointer-events: none; }
  .basicLightbox--visible .basicLightbox__placeholder {
    -webkit-transform: scale(1);
        -ms-transform: scale(1);
            transform: scale(1); }

html {
  --vh: 1vh;
  height: 100%; }

body {
  font-family: "Syne", sans-serif;
  color: #000;
  background-color: #fffdf7;
  font-size: 1rem;
  -webkit-transition-property: color, background-color;
  -o-transition-property: color, background-color;
  transition-property: color, background-color;
  -webkit-transition-timing-function: ease-in-out;
       -o-transition-timing-function: ease-in-out;
          transition-timing-function: ease-in-out;
  -webkit-transition-duration: 0.6s;
       -o-transition-duration: 0.6s;
          transition-duration: 0.6s;
  line-height: 1.4; }

::-moz-selection {
  color: #fffdf7;
  background-color: #000; }

::selection {
  color: #fffdf7;
  background-color: #000; }

a {
  text-decoration: none;
  color: inherit; }
  a:hover, a:focus {
    text-decoration: none;
    color: inherit; }

.caps-heading {
  font-size: 14px;
  line-height: 2.2em;
  letter-spacing: 0.05em;
  font-weight: 500;
  text-transform: uppercase; }
  .caps-heading::before {
    content: "";
    display: inline-block;
    position: relative;
    width: 5px;
    height: 5px;
    margin-right: 5px;
    border: 1px solid;
    border-radius: 50%;
    -webkit-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
            transform: translateY(-50%); }

h3 {
  font-weight: 500;
  font-size: clamp(1.125rem, 1.3125rem, 1.5625vw);
  line-height: 1.286em; }

.header {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  border-bottom: 1px solid;
  font-size: clamp(0.875rem, 1rem, 1.875vw); }
  .header-logo {
    font-size: clamp(1rem, 1.5rem, 1.875vw);
    border-right: 1px solid;
    padding-right: 1em;
    padding-top: 1em;
    padding-bottom: 1em; }
  .header-slogan {
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    padding-left: 1em; }
    @media (max-width: 991.98px) {
      .header-slogan {
        display: none; } }
  .header-contact {
    margin-left: auto;
    padding-left: 1em;
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center; }
    @media (min-width: 768px) {
      .header-contact {
        border-left: 1px solid; } }
  .header .github {
    display: inline-block;
    width: 1.75rem;
    height: auto;
    margin-top: auto;
    margin-bottom: auto;
    margin-left: 0.75rem;
    min-width: 1.125rem; }
    .header .github svg {
      display: block;
      width: 100%;
      height: auto; }

.wrapper {
  padding-left: clamp(1.25rem, 2.5rem, 2.08333vw);
  padding-right: clamp(1.25rem, 2.5rem, 2.08333vw); }

.fade-in {
  opacity: 0;
  -webkit-filter: blur(4px);
          filter: blur(4px); }
  body.loaded .fade-in.animate {
    -webkit-animation: fade-in 0.6s 0.1s forwards cubic-bezier(0.39, 0.57, 0.78, 0.5);
            animation: fade-in 0.6s 0.1s forwards cubic-bezier(0.39, 0.57, 0.78, 0.5); }

@media (max-width: 767.98px) {
  .main {
    text-align: center; } }

@media (min-width: 992px) {
  .main {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex; } }

.main-content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  padding-top: 2rem;
  padding-bottom: 2rem; }
  @media (min-width: 992px) {
    .main-content {
      width: 54%; } }
  .main-content a {
    position: relative;
    -webkit-transition-property: background-color, color;
    -o-transition-property: background-color, color;
    transition-property: background-color, color;
    -webkit-transition-timing-function: ease-in-out;
         -o-transition-timing-function: ease-in-out;
            transition-timing-function: ease-in-out;
    -webkit-transition-duration: 0.6s;
         -o-transition-duration: 0.6s;
            transition-duration: 0.6s;
    display: inline-block; }
    .main-content a:before {
      content: "";
      position: absolute;
      bottom: 0;
      left: 0;
      width: 100%;
      -webkit-transform: scaleX(1);
          -ms-transform: scaleX(1);
              transform: scaleX(1);
      -webkit-transform-origin: left;
          -ms-transform-origin: left;
              transform-origin: left;
      height: 2px;
      background-color: currentColor;
      -webkit-transition: -webkit-transform 0.3s ease-in-out;
      transition: -webkit-transform 0.3s ease-in-out;
      -o-transition: transform 0.3s ease-in-out;
      transition: transform 0.3s ease-in-out;
      transition: transform 0.3s ease-in-out, -webkit-transform 0.3s ease-in-out; }
    .main-content a:hover {
      background-color: #f6efdd; }

@media (min-width: 992px) {
  .main-sidebar {
    width: 46%;
    border-left: 1px solid;
    height: 100vh;
    position: sticky;
    top: 0; } }

.main-sidebar-items {
  position: relative; }

.main-sidebar .preview {
  position: relative;
  height: 100%;
  overflow: hidden;
  background-color: #fff; }
  .main-sidebar .preview-text {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    padding: clamp(1.25rem, 2.5rem, 2.08333vw);
    z-index: 5;
    text-align: center;
    background-color: #fff;
    -webkit-transition-duration: 0.3s;
         -o-transition-duration: 0.3s;
            transition-duration: 0.3s;
    -webkit-transition-property: opacity, -webkit-filter;
    transition-property: opacity, -webkit-filter;
    -o-transition-property: filter, opacity;
    transition-property: filter, opacity;
    transition-property: filter, opacity, -webkit-filter;
    -webkit-transition-timing-function: ease-in-out;
         -o-transition-timing-function: ease-in-out;
            transition-timing-function: ease-in-out; }
    .main-sidebar .preview-text p {
      opacity: 0;
      -webkit-filter: blur(4px);
              filter: blur(4px); }
      body.loaded .main-sidebar .preview-text p {
        -webkit-animation: fade-in 0.6s 2s forwards cubic-bezier(0.39, 0.57, 0.78, 0.5);
                animation: fade-in 0.6s 2s forwards cubic-bezier(0.39, 0.57, 0.78, 0.5); }
    .main-sidebar .preview-text.dismiss {
      pointer-events: none;
      opacity: 0;
      -webkit-filter: blur(0px);
              filter: blur(0px); }
  .main-sidebar .preview-item {
    position: absolute;
    overflow: hidden;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    -webkit-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    z-index: 2;
    padding: 20px; }
    .main-sidebar .preview-item:first-child {
      z-index: 3; }
    .main-sidebar .preview-item__bg {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      max-height: 100%;
      opacity: 0.2;
      -o-object-fit: cover;
         object-fit: cover;
      -webkit-transform: none;
          -ms-transform: none;
              transform: none; }
    .main-sidebar .preview-item.active {
      -webkit-animation-name: show;
              animation-name: show;
      -webkit-animation-duration: 1s;
              animation-duration: 1s;
      -webkit-animation-timing-function: ease-in-out;
              animation-timing-function: ease-in-out;
      -webkit-animation-iteration-count: 1;
              animation-iteration-count: 1;
      -webkit-animation-fill-mode: forwards;
              animation-fill-mode: forwards;
      z-index: 4; }
    .main-sidebar .preview-item.below {
      z-index: 3; }
    .main-sidebar .preview-item__main {
      background-color: #fff;
      width: 100%;
      max-height: 100%;
      -o-object-fit: contain;
         object-fit: contain;
      position: relative;
      top: 50%;
      -webkit-transform: translateY(-50%);
          -ms-transform: translateY(-50%);
              transform: translateY(-50%);
      z-index: 2;
      -webkit-box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.4);
              box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.4);
      border: 5px solid;
      border-radius: 10px; }

@-webkit-keyframes show {
  0% {
    -webkit-clip-path: polygon(0 0, 0 0, 0 100%, 0% 100%);
            clip-path: polygon(0 0, 0 0, 0 100%, 0% 100%);
    -webkit-transform: scale(1.05);
            transform: scale(1.05); }
  100% {
    -webkit-transform: scale(1);
            transform: scale(1);
    -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
            clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%); } }

@keyframes show {
  0% {
    -webkit-clip-path: polygon(0 0, 0 0, 0 100%, 0% 100%);
            clip-path: polygon(0 0, 0 0, 0 100%, 0% 100%);
    -webkit-transform: scale(1.05);
            transform: scale(1.05); }
  100% {
    -webkit-transform: scale(1);
            transform: scale(1);
    -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
            clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%); } }

.introduction {
  max-width: 66.25rem;
  margin-bottom: 2rem; }
  .introduction-title {
    margin: 0 0 0.75rem; }
  .introduction-text {
    font-size: clamp(1.25rem, 1.5rem, 2.39583vw);
    display: inline-block;
    text-align: center;
    margin-bottom: 0.625rem; }
    @media (min-width: 768px) {
      .introduction-text {
        text-align: justify; } }
    .introduction-text p {
      margin-bottom: 1.25rem; }
  .introduction-stack {
    font-size: clamp(1rem, 1.125rem, 1.45833vw); }

@media (min-width: 992px) {
  .projects::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    background-color: #f5f5f5; }
  .projects::-webkit-scrollbar {
    width: 4px;
    background-color: #f5f5f5; }
  .projects::-webkit-scrollbar-thumb {
    background-color: #000000;
    border: 2px solid #000; } }

.projects-header {
  background-color: #fffdf7;
  z-index: 2;
  margin-bottom: 0.75rem; }
  @media (min-width: 768px) {
    .projects-header {
      position: sticky;
      top: 0; } }

.projects-title {
  margin: 0 0 1.125rem; }

@media (max-width: 767.98px) {
  .projects-table__header {
    display: none; } }

@media (min-width: 768px) {
  .projects-table__title {
    width: calc((100% - 3.625rem) * 0.3); } }

@media (min-width: 768px) {
  .projects-table__company {
    width: calc((100% - 3.625rem) * 0.25); } }

@media (min-width: 768px) {
  .projects-table__info {
    width: calc((100% - 3.625rem) * 0.3); } }

.projects-table__info p:last-child {
  margin: 0; }

@media (min-width: 768px) {
  .projects-table__awards {
    width: calc((100% - 3.625rem) * 0.15);
    padding-right: 0; } }

.projects-table__awards .awards {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center; }

.projects-table__awards .award {
  width: 6.875rem;
  padding: 0 5px; }
  .projects-table__awards .award a::before {
    display: none; }
  .projects-table__awards .award img,
  .projects-table__awards .award svg {
    display: block;
    max-width: 100%;
    height: auto; }

@media (min-width: 768px) {
  .projects-table__header {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex; } }

@media (min-width: 768px) {
  .projects-table__link {
    width: 12%;
    width: 3.625rem;
    text-align: right; } }

.projects-table__main {
  padding: 0;
  margin: 0;
  list-style: none; }
  .projects-table__main .project {
    -webkit-transition: background-color 0.3s ease-in-out;
    -o-transition: background-color 0.3s ease-in-out;
    transition: background-color 0.3s ease-in-out; }
    @media (max-width: 767.98px) {
      .projects-table__main .project {
        padding-bottom: 0.5rem;
        padding-top: 0.5rem; } }
    @media (min-width: 768px) {
      .projects-table__main .project {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
            -ms-flex-align: center;
                align-items: center; } }
    .projects-table__main .project:not(:last-child) {
      border-bottom: 1px solid; }
    .projects-table__main .project > * {
      margin: 0.5rem 0; }
      @media (min-width: 992px) {
        .projects-table__main .project > * {
          margin: 1rem 0; } }
      @media (min-width: 768px) {
        .projects-table__main .project > *:not(:last-child) {
          padding-right: 1.25rem; } }
      .projects-table__main .project > *.project-awards {
        padding-right: 0; }
      .projects-table__main .project > * .label {
        display: block; }
        @media (min-width: 768px) {
          .projects-table__main .project > * .label {
            display: none; } }
      @media (max-width: 767.98px) {
        .projects-table__main .project > * .value {
          font-size: 1.125rem;
          display: block; } }
    .projects-table__main .project:hover {
      background-color: #f6efdd; }
    @media (min-width: 768px) {
      .projects-table__main .project-preview {
        display: none; } }
    .projects-table__main .project-title a, .projects-table__main .project-info a {
      padding-bottom: 3px;
      display: inline-block; }
      .projects-table__main .project-title a::before, .projects-table__main .project-info a::before {
        -webkit-transform: scaleX(0);
            -ms-transform: scaleX(0);
                transform: scaleX(0); }
      .projects-table__main .project-title a:hover, .projects-table__main .project-info a:hover {
        background-color: transparent; }
        .projects-table__main .project-title a:hover::before, .projects-table__main .project-info a:hover::before {
          -webkit-transform: scaleX(1);
              -ms-transform: scaleX(1);
                  transform: scaleX(1); }
    .projects-table__main .project-link a::before {
      display: none; }
    .projects-table__main .project-link svg {
      width: 1.25rem;
      height: auto; }

@-webkit-keyframes fade-in {
  100% {
    opacity: 1;
    -webkit-filter: blur(0);
            filter: blur(0); } }

@keyframes fade-in {
  100% {
    opacity: 1;
    -webkit-filter: blur(0);
            filter: blur(0); } }

@-webkit-keyframes scale {
  100% {
    -webkit-transform: scale(1);
            transform: scale(1); } }

@keyframes scale {
  100% {
    -webkit-transform: scale(1);
            transform: scale(1); } }

